<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetServersFormulas](./bitburner.hacknetserversformulas.md) &gt; [hacknetServerCost](./bitburner.hacknetserversformulas.hacknetservercost.md)

## HacknetServersFormulas.hacknetServerCost() method

Calculate the cost of a hacknet server.

**Signature:**

```typescript
hacknetServerCost(n: number, mult?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  n | number | number of the hacknet server |
|  mult | number | _(Optional)_ player cost reduction (defaults to 1) |

**Returns:**

number

The calculated cost.

